KD SOAP API Documentation: KDSoapServerAuthInterface Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KDSoapServerAuthInterface Class Reference

`#include <KDSoapServerAuthInterface.h>`

## Public Member Functions
| KDSoapServerAuthInterface ()
| KDSoapServerAuthInterface (const KDSoapServerAuthInterface &other)=delete
virtual | ~KDSoapServerAuthInterface ()
KDSoapServerAuthInterface & | operator= (const KDSoapServerAuthInterface &other)=delete
virtual bool | validateAuthentication (const KDSoapAuthentication &auth, const QString &path)

## Detailed Description

Additional interface for handling authentication.

In addition to deriving from KDSoapServerObjectInterface, you can derive from KDSoapServerAuthInterface in order to handle HTTP authentication.

Use Q_INTERFACES(KDSoapServerAuthInterface) in your derived class (under Q_OBJECT) so that Qt can discover the additional inheritance.

Since
  1.3

Definition at line 29 of file KDSoapServerAuthInterface.h.

## Constructor & Destructor Documentation

## ◆ KDSoapServerAuthInterface() [1/2]

KDSoapServerAuthInterface::KDSoapServerAuthInterface | ( |  | ) |

Constructor

Definition at line 14 of file KDSoapServerAuthInterface.cpp.

## ◆ KDSoapServerAuthInterface() [2/2]

KDSoapServerAuthInterface::KDSoapServerAuthInterface | ( | const KDSoapServerAuthInterface & | other | ) |
| delete

## ◆ ~KDSoapServerAuthInterface()

KDSoapServerAuthInterface::~KDSoapServerAuthInterface | ( |  | ) |
| virtual

Destructor

Definition at line 19 of file KDSoapServerAuthInterface.cpp.

## Member Function Documentation

## ◆ operator=()

KDSoapServerAuthInterface & KDSoapServerAuthInterface::operator= | ( | const KDSoapServerAuthInterface & | other | ) |
| delete

## ◆ validateAuthentication()

bool KDSoapServerAuthInterface::validateAuthentication | ( | const KDSoapAuthentication & | auth,
|  | const QString & | path
| ) |  |
| virtual

Return true if the authentication details are valid.

Definition at line 90 of file KDSoapServerAuthInterface.cpp.

The documentation for this class was generated from the following files:

- KDSoapServerAuthInterface.h
- KDSoapServerAuthInterface.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8